List all materials for the current organization (including system materials)
curl --request GET \
--url https://api.ionworks.com/materialsimport requests
url = "https://api.ionworks.com/materials"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/materials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"definition": {},
"manufacturer": "<string>",
"product_id": "<string>",
"project_id": "<string>",
"property_count": 0
}
],
"count": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List all materials for the current organization (including system materials)
Retrieve all materials for the current organization.
By default, includes system materials as well.
List all materials for the current organization (including system materials)
Query Parameters
Scope property_count to this project
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I